module pic_k_top(clk_pad, pb, v0, v1, snd);
	input clk_pad;
	input [3:0] pb;
	output v0, v1, snd;
	wire clk, clk1, locked1, locked2;
	dcm1 dcm1(.CLKIN_IN(clk_pad), .CLKFX_OUT(clk1), .LOCKED_OUT(locked1));
	dcm2 dcm2(.CLKIN_IN(clk1), .RST_IN(~locked1), .CLKDV_OUT(clk), .LOCKED_OUT(locked2));
	reg [3:0] resettimer = 0;
	always @(posedge clk) begin
		if (~locked2) resettimer <= 0;
		else if (~&resettimer) resettimer <= resettimer + 1;
	end
	pic_k pic_k(.clk(clk), .reset(~&resettimer), 
		.porta0(v0), .portb0(v1), .porta4(snd),
		.porta_m(3'b111), .portb_u({ 2'b11, ~pb[3:2], 1'b1, ~pb[1:0] }));
endmodule

